<?php
$tdatacamp_propuestas = array();
$tdatacamp_propuestas[".searchableFields"] = array();
$tdatacamp_propuestas[".ShortName"] = "camp_propuestas";
$tdatacamp_propuestas[".OwnerID"] = "";
$tdatacamp_propuestas[".OriginalTable"] = "camp_propuestas";


$tdatacamp_propuestas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacamp_propuestas[".originalPagesByType"] = $tdatacamp_propuestas[".pagesByType"];
$tdatacamp_propuestas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacamp_propuestas[".originalPages"] = $tdatacamp_propuestas[".pages"];
$tdatacamp_propuestas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacamp_propuestas[".originalDefaultPages"] = $tdatacamp_propuestas[".defaultPages"];

//	field labels
$fieldLabelscamp_propuestas = array();
$fieldToolTipscamp_propuestas = array();
$pageTitlescamp_propuestas = array();
$placeHolderscamp_propuestas = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscamp_propuestas["Spanish"] = array();
	$fieldToolTipscamp_propuestas["Spanish"] = array();
	$placeHolderscamp_propuestas["Spanish"] = array();
	$pageTitlescamp_propuestas["Spanish"] = array();
	$fieldLabelscamp_propuestas["Spanish"]["id"] = "Id";
	$fieldToolTipscamp_propuestas["Spanish"]["id"] = "";
	$placeHolderscamp_propuestas["Spanish"]["id"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["dia_camp"] = "Día de Campaña";
	$fieldToolTipscamp_propuestas["Spanish"]["dia_camp"] = "";
	$placeHolderscamp_propuestas["Spanish"]["dia_camp"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["fecha"] = "Fecha";
	$fieldToolTipscamp_propuestas["Spanish"]["fecha"] = "";
	$placeHolderscamp_propuestas["Spanish"]["fecha"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["munic_id"] = "Municipio";
	$fieldToolTipscamp_propuestas["Spanish"]["munic_id"] = "";
	$placeHolderscamp_propuestas["Spanish"]["munic_id"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["munic_nombre"] = "Municipio";
	$fieldToolTipscamp_propuestas["Spanish"]["munic_nombre"] = "";
	$placeHolderscamp_propuestas["Spanish"]["munic_nombre"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["asistentes"] = "Asistentes";
	$fieldToolTipscamp_propuestas["Spanish"]["asistentes"] = "";
	$placeHolderscamp_propuestas["Spanish"]["asistentes"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["p1"] = "Propuesta 1";
	$fieldToolTipscamp_propuestas["Spanish"]["p1"] = "";
	$placeHolderscamp_propuestas["Spanish"]["p1"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["p2"] = "Propuesta 2";
	$fieldToolTipscamp_propuestas["Spanish"]["p2"] = "";
	$placeHolderscamp_propuestas["Spanish"]["p2"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["p3"] = "Propuesta 3";
	$fieldToolTipscamp_propuestas["Spanish"]["p3"] = "";
	$placeHolderscamp_propuestas["Spanish"]["p3"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["p4"] = "Propuesta 4";
	$fieldToolTipscamp_propuestas["Spanish"]["p4"] = "";
	$placeHolderscamp_propuestas["Spanish"]["p4"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["p5"] = "Propuesta 5";
	$fieldToolTipscamp_propuestas["Spanish"]["p5"] = "";
	$placeHolderscamp_propuestas["Spanish"]["p5"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["p6"] = "Propuesta 6";
	$fieldToolTipscamp_propuestas["Spanish"]["p6"] = "";
	$placeHolderscamp_propuestas["Spanish"]["p6"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["p7"] = "Propuesta 7";
	$fieldToolTipscamp_propuestas["Spanish"]["p7"] = "";
	$placeHolderscamp_propuestas["Spanish"]["p7"] = "";
	$fieldLabelscamp_propuestas["Spanish"]["notas"] = "Notas";
	$fieldToolTipscamp_propuestas["Spanish"]["notas"] = "";
	$placeHolderscamp_propuestas["Spanish"]["notas"] = "";
	$pageTitlescamp_propuestas["Spanish"]["view"] = "Propuestas de Campaña {%fecha} en {%munic_id}";
	if (count($fieldToolTipscamp_propuestas["Spanish"]))
		$tdatacamp_propuestas[".isUseToolTips"] = true;
}


	$tdatacamp_propuestas[".NCSearch"] = true;



$tdatacamp_propuestas[".shortTableName"] = "camp_propuestas";
$tdatacamp_propuestas[".nSecOptions"] = 0;

$tdatacamp_propuestas[".mainTableOwnerID"] = "";
$tdatacamp_propuestas[".entityType"] = 0;
$tdatacamp_propuestas[".connId"] = "seg_edomex_at_localhost";


$tdatacamp_propuestas[".strOriginalTableName"] = "camp_propuestas";

	



$tdatacamp_propuestas[".showAddInPopup"] = false;

$tdatacamp_propuestas[".showEditInPopup"] = false;

$tdatacamp_propuestas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacamp_propuestas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacamp_propuestas[".listAjax"] = false;
//	temporary
$tdatacamp_propuestas[".listAjax"] = false;

	$tdatacamp_propuestas[".audit"] = false;

	$tdatacamp_propuestas[".locking"] = false;


$pages = $tdatacamp_propuestas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacamp_propuestas[".edit"] = true;
	$tdatacamp_propuestas[".afterEditAction"] = 5;
	$tdatacamp_propuestas[".closePopupAfterEdit"] = 1;
	$tdatacamp_propuestas[".afterEditActionDetTable"] = "cat_municipios";
}

if( $pages[PAGE_ADD] ) {
$tdatacamp_propuestas[".add"] = true;
$tdatacamp_propuestas[".afterAddAction"] = 5;
$tdatacamp_propuestas[".closePopupAfterAdd"] = 1;
$tdatacamp_propuestas[".afterAddActionDetTable"] = "cat_municipios";
}

if( $pages[PAGE_LIST] ) {
	$tdatacamp_propuestas[".list"] = true;
}



$tdatacamp_propuestas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacamp_propuestas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacamp_propuestas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacamp_propuestas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacamp_propuestas[".printFriendly"] = true;
}



$tdatacamp_propuestas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacamp_propuestas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacamp_propuestas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacamp_propuestas[".isUseAjaxSuggest"] = true;

$tdatacamp_propuestas[".rowHighlite"] = true;





$tdatacamp_propuestas[".ajaxCodeSnippetAdded"] = false;

$tdatacamp_propuestas[".buttonsAdded"] = false;

$tdatacamp_propuestas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacamp_propuestas[".isUseTimeForSearch"] = false;


$tdatacamp_propuestas[".badgeColor"] = "9ACD32";


$tdatacamp_propuestas[".allSearchFields"] = array();
$tdatacamp_propuestas[".filterFields"] = array();
$tdatacamp_propuestas[".requiredSearchFields"] = array();

$tdatacamp_propuestas[".googleLikeFields"] = array();
$tdatacamp_propuestas[".googleLikeFields"][] = "id";
$tdatacamp_propuestas[".googleLikeFields"][] = "dia_camp";
$tdatacamp_propuestas[".googleLikeFields"][] = "fecha";
$tdatacamp_propuestas[".googleLikeFields"][] = "munic_id";
$tdatacamp_propuestas[".googleLikeFields"][] = "munic_nombre";
$tdatacamp_propuestas[".googleLikeFields"][] = "asistentes";
$tdatacamp_propuestas[".googleLikeFields"][] = "p1";
$tdatacamp_propuestas[".googleLikeFields"][] = "p2";
$tdatacamp_propuestas[".googleLikeFields"][] = "p3";
$tdatacamp_propuestas[".googleLikeFields"][] = "p4";
$tdatacamp_propuestas[".googleLikeFields"][] = "p5";
$tdatacamp_propuestas[".googleLikeFields"][] = "p6";
$tdatacamp_propuestas[".googleLikeFields"][] = "p7";
$tdatacamp_propuestas[".googleLikeFields"][] = "notas";



$tdatacamp_propuestas[".tableType"] = "list";

$tdatacamp_propuestas[".printerPageOrientation"] = 0;
$tdatacamp_propuestas[".nPrinterPageScale"] = 100;

$tdatacamp_propuestas[".nPrinterSplitRecords"] = 40;

$tdatacamp_propuestas[".geocodingEnabled"] = false;










$tdatacamp_propuestas[".pageSize"] = 20;

$tdatacamp_propuestas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacamp_propuestas[".strOrderBy"] = $tstrOrderBy;

$tdatacamp_propuestas[".orderindexes"] = array();


$tdatacamp_propuestas[".sqlHead"] = "SELECT id,  	dia_camp,  	fecha,  	munic_id,  	munic_nombre,  	asistentes,  	p1,  	p2,  	p3,  	p4,  	p5,  	p6,  	p7,  	notas";
$tdatacamp_propuestas[".sqlFrom"] = "FROM camp_propuestas";
$tdatacamp_propuestas[".sqlWhereExpr"] = "";
$tdatacamp_propuestas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacamp_propuestas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacamp_propuestas[".arrGroupsPerPage"] = $arrGPP;

$tdatacamp_propuestas[".highlightSearchResults"] = true;

$tableKeyscamp_propuestas = array();
$tableKeyscamp_propuestas[] = "id";
$tdatacamp_propuestas[".Keys"] = $tableKeyscamp_propuestas;


$tdatacamp_propuestas[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["id"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "id";
//	dia_camp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "dia_camp";
	$fdata["GoodName"] = "dia_camp";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","dia_camp");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "dia_camp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dia_camp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["dia_camp"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "dia_camp";
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","fecha");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "fecha";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["fecha"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "fecha";
//	munic_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "munic_id";
	$fdata["GoodName"] = "munic_id";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","munic_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "munic_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "munic_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_municipios";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "municipio";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["munic_id"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "munic_id";
//	munic_nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "munic_nombre";
	$fdata["GoodName"] = "munic_nombre";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","munic_nombre");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "munic_nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "munic_nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["munic_nombre"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "munic_nombre";
//	asistentes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "asistentes";
	$fdata["GoodName"] = "asistentes";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","asistentes");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "asistentes";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "asistentes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


		$edata["strEditMask"] = "999,999";

	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["asistentes"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "asistentes";
//	p1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "p1";
	$fdata["GoodName"] = "p1";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","p1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "p1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["p1"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "p1";
//	p2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "p2";
	$fdata["GoodName"] = "p2";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","p2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "p2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["p2"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "p2";
//	p3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "p3";
	$fdata["GoodName"] = "p3";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","p3");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "p3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["p3"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "p3";
//	p4
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "p4";
	$fdata["GoodName"] = "p4";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","p4");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "p4";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p4";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["p4"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "p4";
//	p5
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "p5";
	$fdata["GoodName"] = "p5";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","p5");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "p5";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p5";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["p5"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "p5";
//	p6
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "p6";
	$fdata["GoodName"] = "p6";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","p6");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "p6";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p6";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["p6"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "p6";
//	p7
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "p7";
	$fdata["GoodName"] = "p7";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","p7");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "p7";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p7";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["p7"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "p7";
//	notas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "notas";
	$fdata["GoodName"] = "notas";
	$fdata["ownerTable"] = "camp_propuestas";
	$fdata["Label"] = GetFieldLabel("camp_propuestas","notas");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "notas";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "notas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacamp_propuestas["notas"] = $fdata;
		$tdatacamp_propuestas[".searchableFields"][] = "notas";


$tables_data["camp_propuestas"]=&$tdatacamp_propuestas;
$field_labels["camp_propuestas"] = &$fieldLabelscamp_propuestas;
$fieldToolTips["camp_propuestas"] = &$fieldToolTipscamp_propuestas;
$placeHolders["camp_propuestas"] = &$placeHolderscamp_propuestas;
$page_titles["camp_propuestas"] = &$pageTitlescamp_propuestas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["camp_propuestas"] = array();
//	cat_municipios
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="cat_municipios";
		$detailsParam["dOriginalTable"] = "cat_municipios";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "cat_municipios";
	$detailsParam["dCaptionTable"] = GetTableCaption("cat_municipios");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["camp_propuestas"][$dIndex] = $detailsParam;

	
		$detailsTablesData["camp_propuestas"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["camp_propuestas"][$dIndex]["masterKeys"][]="munic_id";

				$detailsTablesData["camp_propuestas"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["camp_propuestas"][$dIndex]["detailKeys"][]="id";

// tables which are master tables for current table (detail)
$masterTablesData["camp_propuestas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_camp_propuestas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	dia_camp,  	fecha,  	munic_id,  	munic_nombre,  	asistentes,  	p1,  	p2,  	p3,  	p4,  	p5,  	p6,  	p7,  	notas";
$proto0["m_strFrom"] = "FROM camp_propuestas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "camp_propuestas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "dia_camp",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto8["m_sql"] = "dia_camp";
$proto8["m_srcTableName"] = "camp_propuestas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto10["m_sql"] = "fecha";
$proto10["m_srcTableName"] = "camp_propuestas";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "munic_id",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto12["m_sql"] = "munic_id";
$proto12["m_srcTableName"] = "camp_propuestas";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "munic_nombre",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto14["m_sql"] = "munic_nombre";
$proto14["m_srcTableName"] = "camp_propuestas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "asistentes",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto16["m_sql"] = "asistentes";
$proto16["m_srcTableName"] = "camp_propuestas";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "p1",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto18["m_sql"] = "p1";
$proto18["m_srcTableName"] = "camp_propuestas";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "p2",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto20["m_sql"] = "p2";
$proto20["m_srcTableName"] = "camp_propuestas";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "p3",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto22["m_sql"] = "p3";
$proto22["m_srcTableName"] = "camp_propuestas";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "p4",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto24["m_sql"] = "p4";
$proto24["m_srcTableName"] = "camp_propuestas";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "p5",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto26["m_sql"] = "p5";
$proto26["m_srcTableName"] = "camp_propuestas";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "p6",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto28["m_sql"] = "p6";
$proto28["m_srcTableName"] = "camp_propuestas";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "p7",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto30["m_sql"] = "p7";
$proto30["m_srcTableName"] = "camp_propuestas";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "notas",
	"m_strTable" => "camp_propuestas",
	"m_srcTableName" => "camp_propuestas"
));

$proto32["m_sql"] = "notas";
$proto32["m_srcTableName"] = "camp_propuestas";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "camp_propuestas";
$proto35["m_srcTableName"] = "camp_propuestas";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "id";
$proto35["m_columns"][] = "dia_camp";
$proto35["m_columns"][] = "fecha";
$proto35["m_columns"][] = "munic_id";
$proto35["m_columns"][] = "munic_nombre";
$proto35["m_columns"][] = "asistentes";
$proto35["m_columns"][] = "p1";
$proto35["m_columns"][] = "p2";
$proto35["m_columns"][] = "p3";
$proto35["m_columns"][] = "p4";
$proto35["m_columns"][] = "p5";
$proto35["m_columns"][] = "p6";
$proto35["m_columns"][] = "p7";
$proto35["m_columns"][] = "notas";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "camp_propuestas";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "camp_propuestas";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="camp_propuestas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_camp_propuestas = createSqlQuery_camp_propuestas();


	
		;

														

$tdatacamp_propuestas[".sqlquery"] = $queryData_camp_propuestas;



$tableEvents["camp_propuestas"] = new eventsBase;
$tdatacamp_propuestas[".hasEvents"] = false;

?>